Sfoglia il codice sorgente

Use grub package instead of grub-pc unless distro is ubuntu

According to the Debian wiki, installing the package grub installs the
correct version of grub for your suite automatically. This fixes a "you
have held broken packages" error when creating the package manifest due
to a conflict between grub-pc and grub-legacy (at least with Wheezy).
pull/103/head
Joseph Bisch 7 anni fa
parent
commit
23ccc3d1dd
  1. 7
      bin/make-base-vm

7
bin/make-base-vm

@ -122,11 +122,16 @@ if [ $DISTRO = "ubuntu" ]; then @@ -122,11 +122,16 @@ if [ $DISTRO = "ubuntu" ]; then
KERNEL_PKG=linux-image-generic,
fi
GRUB_PKG=grub
if [ $DISTRO = "ubuntu" ]; then
GRUB_PKG=grub-pc
fi
if [ $LXC = "1" ]; then
addpkg=$addpkg,lxc
else
# Lack of comma after KERNEL_PKG is not a typo
addpkg=$addpkg,${KERNEL_PKG}grub-pc,openssh-server
addpkg=$addpkg,${KERNEL_PKG}${GRUB_PKG},openssh-server
fi
# Remove cron to work around vmbuilder issue when umounting /dev on target

Caricamento…
Annulla
Salva